init_rs.h File Reference

Go to the source code of this file.

## Macros

#define | NULL ((void*)0)

## Functions

| if (symsize< 0||(unsigned) symsize > 8 *sizeof(data_t))
| if (fcr< 0||fcr >=(1<< symsize)) goto done
| if (prim<=0||prim >=(1<< symsize)) goto done
| if (nroots< 0||nroots >=(1<< symsize)) goto done
| if (pad< 0||pad >=((1<< symsize) - 1 - nroots)) goto done
| if (rs==NULL) goto done
| if (rs->alpha_to==NULL)
| for (i=0;i< rs->nn;i++)
| if (sr !=1)
| for (iprim=1;(iprim % prim) !=0;iprim+=rs->nn)

## Variables

| rs = NULL
rs | mm = symsize
rs | nn = (1 << symsize) - 1
rs | pad = pad
rs | alpha_to = (data_t*)malloc(sizeof(data_t) * (rs->nn + 1))
rs | index_of = (data_t*)malloc(sizeof(data_t) * (rs->nn + 1))
| sr = 1
rs | genpoly = (data_t*)malloc(sizeof(data_t) * (nroots + 1))
rs | fcr = fcr
rs | prim = prim
rs | nroots = nroots
rs | iprim = iprim / prim
done | __pad0__

## Macro Definition Documentation

## NULL

#define NULL ((void*)0)

## Function Documentation

## for() [1/2]

for | ( | i | = `0;i< rs->nn;i++` | ) |

References rs::alpha_to, i, rs::index_of, rs::nn, and sr.

## for() [2/2]

for | ( | iprim | = `1;(iprim % prim) !=0;iprim+=rs->nn` | ) |

## if() [1/8]

if | ( | fcr< 0||fcr > | = `(1<< symsize)` | ) |

## if() [2/8]

if | ( | nroots< 0||nroots > | = `(1<< symsize)` | ) |

## if() [3/8]

if | ( | pad< 0||pad > | = `((1<< symsize) - 1 - nroots)` | ) |

## if() [4/8]

if | ( | prim<=0||prim >= | 1<< symsize | ) |

## if() [5/8]

if | ( | rs-> | alpha_to = `= NULL` | ) |

References NULL.

## if() [6/8]

if | ( | rs | = `=NULL` | ) |

## if() [7/8]

if | ( | sr ! | = `1` | ) |

References rs::alpha_to, rs::index_of, and NULL.

## if() [8/8]

if | ( | symsize< 0|| | unsigned) symsize > 8 *sizeof(data_t | ) |

## Variable Documentation

## __pad0__

done __pad0__

## alpha_to

rs alpha_to = (data_t*)malloc(sizeof(data_t) * (rs->nn + 1))

## fcr

rs fcr = fcr

## genpoly

rs genpoly = (data_t*)malloc(sizeof(data_t) * (nroots + 1))

## index_of

rs index_of = (data_t*)malloc(sizeof(data_t) * (rs->nn + 1))

## iprim

rs iprim = iprim / prim

## mm

rs mm = symsize

## nn

rs nn = (1 << symsize) - 1

## nroots

rs nroots = nroots

## pad

rs pad = pad

## prim

rs prim = prim

## rs

rs = NULL

## sr

sr = 1

Referenced by for().